---
title: Working with iframes
slug: Tools/Working_with_iframes
tags:
  - Debugging
  - DevTools
  - Developer Tools
  - Frames
  - Tools
---
<div>{{ToolsSidebar}}</div>

<p>You can point the developer tools at a specific <a href="/en-US/docs/Web/HTML/Element/iframe"><code>iframe</code></a> within a document.</p>

<p>{{EmbedYouTube("Me9hjqd74m8")}}</p>

<p>You'll see a button in the toolbar:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/8547/frame-selection-button.png" style="display: block; margin-left: auto; margin-right: auto;">Click it, and you'll see a popup listing all the iframes in the document, as well as the main document itself.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/8549/frame-selection-popup.png" style="display: block; margin-left: auto; margin-right: auto;"></p>

<p>If you select an entry in the list, all the tools in the toolbox - the <a href="/en-US/docs/Tools/Page_Inspector">Inspector</a>, the <a href="/en-US/docs/Tools/Web_Console">Console</a>, the <a href="/en-US/docs/Tools/Debugger">Debugger</a> and so on - will now target only that iframe, and will essentially behave as if the rest of the page does not exist.</p>
